gnomevfs.FileInfo
Prev | The gnomevfs class reference | Next

## gnomevfs.FileInfo

gnomevfs.FileInfo — Object which stores information about a file

## Synopsis

    class gnomevfs.FileInfo:

## Attributes

atime | Access time.
block_count | Size measured in 512-byte blocks
ctime | Change time.
device | Device type. This property is only valid if the file is local.
flags | Flags for this file. See gnomevfs File Flags.
gid | Group ID of the file
inode | Inode number. This property is only valid if the file is local.
io_block_size | Optimal buffer size for reading/writing the file.
link_count | Number of links to this file.
mime_type | MIME type as an ASCII string
mtime | Modification time.
name | Base name of the file (no path).
permissions | File permissions.
size | Size in bytes.
symlink_name | If the file is a symlink (see `flags'), the name of the file this link points to.
type | File type (i.e. regular, directory, block device...).
uid | User ID of the file
valid_fields | Fields which are actually valid in this structure.

Prev | Up | Next
gnomevfs.Drive | Home | gnomevfs.Handle